Upstream information

CVE-2019-16239 at MITRE

Description

process_http_response in OpenConnect before 8.05 has a Buffer Overflow when a malicious server uses HTTP chunked encoding with crafted chunk sizes.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  SUSE
Base Score 6.3
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact Low
Integrity Impact Low
Availability Impact Low
CVSSv3 Version 3.0
SUSE Bugzilla entry: 1151178 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP4
  • openconnect >= 7.08-3.4.1
  • openconnect-lang >= 7.08-3.4.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-2744
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • openconnect >= 7.08-6.3.1
  • openconnect-doc >= 7.08-6.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-2737
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • openconnect >= 7.08-6.3.1
  • openconnect-doc >= 7.08-6.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-2737
SUSE Linux Enterprise Workstation Extension 12 SP4
  • openconnect >= 7.08-3.4.1
  • openconnect-lang >= 7.08-3.4.1
Patchnames:
SUSE-SLE-WE-12-SP4-2019-2744
SUSE Linux Enterprise Workstation Extension 12 SP5
  • openconnect >= 7.08-3.4.1
  • openconnect-lang >= 7.08-3.4.1
Patchnames:
SUSE-SLE-WE-12-SP5-2019-2744
SUSE Linux Enterprise Workstation Extension 15
  • openconnect >= 7.08-6.3.1
  • openconnect-devel >= 7.08-6.3.1
  • openconnect-lang >= 7.08-6.3.1
Patchnames:
SUSE-SLE-Product-WE-15-2019-2737
SUSE Linux Enterprise Workstation Extension 15 SP1
  • openconnect >= 7.08-6.3.1
  • openconnect-devel >= 7.08-6.3.1
  • openconnect-lang >= 7.08-6.3.1
Patchnames:
SUSE-SLE-Product-WE-15-SP1-2019-2737
openSUSE Leap 15.0
  • openconnect >= 7.08-lp150.5.3.1
  • openconnect-debuginfo >= 7.08-lp150.5.3.1
  • openconnect-debugsource >= 7.08-lp150.5.3.1
  • openconnect-devel >= 7.08-lp150.5.3.1
  • openconnect-doc >= 7.08-lp150.5.3.1
  • openconnect-lang >= 7.08-lp150.5.3.1
Patchnames:
openSUSE-2019-2388
openSUSE Leap 15.1
  • openconnect >= 7.08-lp151.6.3.1
  • openconnect-debuginfo >= 7.08-lp151.6.3.1
  • openconnect-debugsource >= 7.08-lp151.6.3.1
  • openconnect-devel >= 7.08-lp151.6.3.1
  • openconnect-doc >= 7.08-lp151.6.3.1
  • openconnect-lang >= 7.08-lp151.6.3.1
Patchnames:
openSUSE-2019-2385


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP4 openconnect Released
SUSE Linux Enterprise Workstation Extension 12 SP4 openconnect Released
SUSE Linux Enterprise Workstation Extension 15 GA openconnect Released
SUSE Linux Enterprise Workstation Extension 15 SP1 openconnect Released